// file: $isip/class/asr/Identifier/ident_01.cc
// version: $Id: ident_01.cc 7678 2002-02-01 14:49:32Z alphonso $
//

// isip include files
//
#include "Identifier.h"
#include <Console.h>

// method: debug
//
// arguments:
//  const unichar* message: (input) information message
//
// return: a boolean value indicating status
//
// this method dumps the contents of an object to the console
//
boolean Identifier::debug(const unichar* msg_a) const {
  
  // build a debug string
  //
  String value;
  String output;

  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();

  // output annotation parameters
  //
  namespace_d.debug(L"namespace_d");
  type_d.debug(L"type_d");
  issued_d.debug(L"issued_d");
  curr_d.debug(L"curr_d");
  anchors_d.debug(L"anchors_d");
  annotations_d.debug(L"annotations_d");
  
  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}
